curl --request GET \
--url https://sg.sandbox.api.reap.global/crypto-deposits/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/crypto-deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/crypto-deposits/{id}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chainId": "ETHEREUM_MAINNET",
"transactionId": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"status": "PENDING",
"rejectionReason": "TRANSACTION_FAILED",
"amount": "1000.0",
"feeAmount": "5.0",
"senderAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f8fA21",
"occurredAt": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z",
"asset": {
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"logoUri": "<string>"
}
}{
"error": {
"code": "CRYPTO_DEPOSIT_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Get crypto deposit
Retrieves crypto deposit details including asset metadata.
curl --request GET \
--url https://sg.sandbox.api.reap.global/crypto-deposits/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/crypto-deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/crypto-deposits/{id}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chainId": "ETHEREUM_MAINNET",
"transactionId": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"status": "PENDING",
"rejectionReason": "TRANSACTION_FAILED",
"amount": "1000.0",
"feeAmount": "5.0",
"senderAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f8fA21",
"occurredAt": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z",
"asset": {
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"logoUri": "<string>"
}
}{
"error": {
"code": "CRYPTO_DEPOSIT_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
2025-02-14 "2025-02-14"
Path Parameters
Crypto deposit ID
Response
Crypto deposit resource
Unique deposit identifier
Account that received the deposit
Blockchain network identifier
ETHEREUM_MAINNET, ETHEREUM_SEPOLIA, BASE_MAINNET, BASE_SEPOLIA, ARBITRUM_ONE_MAINNET, ARBITRUM_ONE_SEPOLIA, POLYGON_MAINNET, POLYGON_AMOY, SOLANA_MAINNET, SOLANA_DEVNET "ETHEREUM_MAINNET"
On-chain transaction hash/signature
"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
Current deposit status
PENDING, CONFIRMED, APPROVED, REJECTED "PENDING"
Reason for rejection (only when status is REJECTED)
TRANSACTION_FAILED, ASSET_NOT_ACCEPTED, KYT_CHECK_FAILED, AMOUNT_TOO_SMALL "TRANSACTION_FAILED"
Amount with decimals applied (string for full precision)
"1000.0"
"0.999999999999999999"
Deposit fee charged on this deposit, in the same asset as amount. null when the deposit is not subject to a deposit fee
"5.0"
Address that sent the deposit
"0x742d35Cc6634C0532925a3b844Bc9e7595f8fA21"
ISO 8601 timestamp of on-chain transfer
"2024-01-15T10:30:00Z"
ISO 8601 timestamp of creation
"2024-01-15T10:30:00Z"
ISO 8601 timestamp of last update
"2024-01-15T10:35:00Z"
Asset metadata
Show child attributes
Show child attributes